Bug 145673 - [NEW PORT] mail/spmfilter: Spmfilter is a high-performance mail filtering framework, written in C
[NEW PORT] mail/spmfilter: Spmfilter is a high-performance mail filtering fra...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sahil Tandon
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-13 17:50 UTC by Frank Wall
Modified: 2010-04-27 03:44 UTC (History)
1 user (show)

See Also:


Attachments
spmfilter-0.4.0.shar (5.35 KB, text/plain)
2010-04-13 17:50 UTC, Frank Wall
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Wall 2010-04-13 17:50:03 UTC
spmfilter is a high-performance mail filtering framework, written in C.

It attempts to be a general filtering framework for any purposes.
Filtering mechanisms are provided by plugins, the API enables spmfilter
plugins to access messages as they are being processed by the MTA.
This allows them to examine and modify message content and
meta-information during the SMTP transaction. Plugins are loaded at
runtime and can be processed in any sequence, the processing chain
can also be altered by a single plugin, for example if the plugin has
to stop further processing (e.g. the clamav-plugin detected malicious
software like a virus and the infected message is actually discarded
- so further processing is stopped by the plugin).

WWW: http://www.spmfilter.org/

Generated with FreeBSD Port Tools 0.99
Comment 1 Sahil Tandon freebsd_committer 2010-04-21 04:19:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

I'll take it.
Comment 2 Sahil Tandon freebsd_committer 2010-04-25 22:14:58 UTC
State Changed
From-To: open->analyzed

There are a few issues with this port; I will send submitter a revision 
soon.
Comment 3 dfilter freebsd_committer 2010-04-27 03:32:08 UTC
sahil       2010-04-27 02:31:59 UTC

  FreeBSD ports repository

  Modified files:
    mail                 Makefile 
  Added files:
    mail/spmfilter       Makefile distinfo pkg-descr pkg-plist 
    mail/spmfilter/files spmfilter.in 
  Log:
  spmfilter is a high-performance mail filtering framework, written in C.
  
  It attempts to be a general filtering framework for any purposes.
  Filtering mechanisms are provided by plugins, the API enables spmfilter
  plugins to access messages as they are being processed by the MTA.
  This allows them to examine and modify message content and
  meta-information during the SMTP transaction. Plugins are loaded at
  runtime and can be processed in any sequence, the processing chain
  can also be altered by a single plugin
  
  WWW: http://www.spmfilter.org/
  
  PR:             ports/145673
  Submitted by:   Frank Wall <fw at moov.de>
  Reworked by:    sahil@ (myself)
  Approved by:    wxs@ (mentor)
  
  Revision  Changes    Path
  1.1018    +1 -0      ports/mail/Makefile
  1.1       +102 -0    ports/mail/spmfilter/Makefile (new)
  1.1       +3 -0      ports/mail/spmfilter/distinfo (new)
  1.1       +31 -0     ports/mail/spmfilter/files/spmfilter.in (new)
  1.1       +11 -0     ports/mail/spmfilter/pkg-descr (new)
  1.1       +23 -0     ports/mail/spmfilter/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Sahil Tandon freebsd_committer 2010-04-27 03:44:42 UTC
State Changed
From-To: analyzed->closed

Committed, after rework. Thanks!